/*
 *  Copyright (C) 2004 Christophe Fergeau
 *
 * 
 *  The code contained in this file is free software; you can redistribute
 *  it and/or modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either version
 *  2.1 of the License, or (at your option) any later version.
 *  
 *  This file is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this code; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */


#include <glib.h>

#include <errno.h>
#include <stdio.h>
#include <sys/stat.h>
#include <sys/types.h>

/* #define DEBUG 1*/


#ifdef USE_EDS
#include <libedataserver/e-source-list.h>

GSList *
eis_get_sources (const gchar *gconf_key)
{
	GSList *groups;
	GSList *it;
	ESourceList *source_list;
	GSList *result = NULL;

	source_list = e_source_list_new_for_gconf_default (gconf_key);
	groups = e_source_list_peek_groups (source_list);
	for (it = groups; it != NULL; it = it->next) {
		ESourceGroup *group;
		GSList *sources;

		group = E_SOURCE_GROUP (it->data);
		sources = e_source_group_peek_sources (group);
		sources = g_slist_copy (sources);
		result = g_slist_concat (result, sources);
	}
	return result;
}

#endif 

#ifdef DEBUG
int
eis_write_string_to_ipod (const gchar *mount_point, const char *subdir,
			  const gchar *file, const gchar *data)
{
	printf ("%s\n", data);
	printf ("to be written to %s/%s/%s\n", mount_point, subdir, file);
	g_warning ("DEBUGGING is enabled, writing to iPod is disabled");
	return 0;
}
#endif
